GHSA-jhwx-mhww-rgc3

Source
https://github.com/advisories/GHSA-jhwx-mhww-rgc3
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/03/GHSA-jhwx-mhww-rgc3/GHSA-jhwx-mhww-rgc3.json
Aliases
Published
2024-03-29T19:04:27Z
Modified
2024-04-03T11:41:33.590486Z
Details

Impact

All versions of ArgoCD starting from v2.4 have a bug where the ArgoCD repo-server component is vulnerable to a Denial-of-Service attack vector. Specifically, it's possible to crash the repo server component through an out of memory error by pointing it to a malicious Helm registry. The loadRepoIndex() function in the ArgoCD's helm package, does not limit the size nor time while fetching the data. It fetches it and creates a byte slice from the retrieved data in one go. If the registry is implemented to push data continuously, the repo server will keep allocating memory until it runs out of it.

Patches

A patch for this vulnerability has been released in the following Argo CD versions:

v2.10.5 v2.9.10 v2.8.14

For more information

If you have any questions or comments about this advisory:

Open an issue in the Argo CD issue tracker or discussions Join us on Slack in channel #argo-cd

Credits

This vulnerability was found & reported by Jakub Ciolek

The Argo team would like to thank these contributors for their responsible disclosure and constructive communications during the resolve of this issue

References

Affected packages

Go / github.com/argoproj/argo-cd/v2

Affected ranges

Type
SEMVER
Events
Introduced
2.4.0
Fixed
2.8.14

Go / github.com/argoproj/argo-cd/v2

Affected ranges

Type
SEMVER
Events
Introduced
2.9.0
Fixed
2.9.10

Go / github.com/argoproj/argo-cd/v2

Affected ranges

Type
SEMVER
Events
Introduced
2.10.0
Fixed
2.10.5